import * as react_jsx_runtime from 'react/jsx-runtime';
import { ReactNode, CSSProperties } from 'react';
import * as _mui_material_styles from '@mui/material/styles';

interface HeadingProps {
    as?: "h1" | "h2" | "h3" | "h4" | "h5" | "h6";
    children?: ReactNode;
    className?: string;
    style?: CSSProperties;
    zIndex?: number;
}

declare function Heading(props: HeadingProps): react_jsx_runtime.JSX.Element;

type TextProps = {
    as?: "p" | "div" | "span";
    children?: ReactNode;
    className?: string;
    size?: "tiny" | "small" | "medium";
    skin?: "standard" | "success" | "error" | "premium" | "disabled" | "primary";
    textAlign?: "left" | "center" | "right";
    weight?: "thin" | "normal" | "bold";
    onClick?: (event: any) => void;
    style?: CSSProperties;
};

declare function Text(props: TextProps): react_jsx_runtime.JSX.Element;

declare const theme: _mui_material_styles.Theme;

declare const i18n_resources: {
    vi: {
        translation: {
            Common: {
                StartDate: string;
                EndDate: string;
                SelectDateRange: string;
                Save: string;
                Add: string;
                Create: string;
                Edit: string;
                Cancel: string;
                Delete: string;
                Close: string;
                Clear: string;
                All: string;
                Other: string;
                Apply: string;
                None: string;
                Permission: string;
                Download: string;
                View: string;
                Name: string;
                Info: string;
                Success: string;
                Warning: string;
                Error: string;
                Export: string;
                ExportFile: string;
                PreviewPDF: string;
                Search: string;
                SearchPlaceholder: string;
                SearchByName: string;
                SearchById: string;
                AdvancedSearch: string;
                Gender: {
                    Title: string;
                    Gender_0: string;
                    Gender_1: string;
                };
                Upload: string;
                NoData: string;
                Settings: string;
                ChangeLanguage: string;
                DarkTheme: string;
                UserProfile: string;
                Logout: string;
                InheritedPermission: string;
                ExplicitPermission: string;
                InvalidDate: string;
                MinDateMessage: string;
                MaxDateMessage: string;
                Month: string;
                Day: string;
                Hour: string;
                Minute: string;
                Second: string;
                CreateDate: string;
                Selected: string;
                DeleteSelectedItems: string;
                Archive: string;
                Duplicate: string;
                InvalidData: string;
                Required: string;
                SelectAll: string;
                UnsavedChangesMessage: string;
                ConfirmAction: string;
                Confirm: string;
                Agree: string;
                CommingSoon: string;
                SeeMore: string;
                SubTotal: string;
                Total: string;
                Tax: string;
                Missing: string;
                FromDate: string;
                ToDate: string;
                ResetPassword: string;
                InActive: string;
                Active: string;
                ClickToCopy: string;
                Copied: string;
                SelectWorkSpace: string;
                NoResult: string;
                Continue: string;
                Back: string;
                by: string;
            };
            Login: {
                SignIn: string;
                Username: string;
                Password: string;
                RememberMe: string;
                LoginFailed: string;
            };
            User: {
                Title: string;
                TitleCreate: string;
                TitleEdit: string;
                Name: string;
                Username: string;
                Birthday: string;
                Avatar: string;
                Email: string;
                Phone: string;
                Password: string;
                CurrentPassword: string;
                NewPassword: string;
                RePassword: string;
                ChangePassword: string;
                Status: {
                    Title: string;
                    Status_0: string;
                    Status_1: string;
                };
                Profile: {
                    Title: string;
                    Edit: string;
                };
                AccountProfile: string;
                STT: string;
                AddExistedUser: string;
                Roles: string;
            };
        };
    };
    en: {
        translation: {
            Common: {
                StartDate: string;
                EndDate: string;
                SelectDateRange: string;
                Save: string;
                Add: string;
                Create: string;
                Edit: string;
                Cancel: string;
                Delete: string;
                Close: string;
                Clear: string;
                All: string;
                Other: string;
                Apply: string;
                None: string;
                Permission: string;
                Download: string;
                View: string;
                Name: string;
                Info: string;
                Success: string;
                Warning: string;
                Error: string;
                Export: string;
                ExportFile: string;
                PreviewPDF: string;
                Search: string;
                SearchPlaceholder: string;
                SearchByName: string;
                SearchById: string;
                AdvancedSearch: string;
                Gender: {
                    Title: string;
                    Gender_0: string;
                    Gender_1: string;
                };
                Upload: string;
                NoData: string;
                Settings: string;
                ChangeLanguage: string;
                DarkTheme: string;
                UserProfile: string;
                Logout: string;
                InheritedPermission: string;
                ExplicitPermission: string;
                InvalidDate: string;
                MinDateMessage: string;
                MaxDateMessage: string;
                Month: string;
                Day: string;
                Hour: string;
                Minute: string;
                Second: string;
                CreateDate: string;
                Selected: string;
                DeleteSelectedItems: string;
                Archive: string;
                Duplicate: string;
                InvalidData: string;
                Required: string;
                SelectAll: string;
                UnsavedChangesMessage: string;
                ConfirmAction: string;
                Confirm: string;
                Agree: string;
                CommingSoon: string;
                SeeMore: string;
                SubTotal: string;
                Total: string;
                Tax: string;
                Missing: string;
                FromDate: string;
                ToDate: string;
                ResetPassword: string;
                InActive: string;
                Active: string;
                Copied: string;
                ClickToCopy: string;
                SelectWorkSpace: string;
                NoResult: string;
                Continue: string;
                Back: string;
                by: string;
            };
            Login: {
                SignIn: string;
                Username: string;
                Password: string;
                RememberMe: string;
                LoginFailed: string;
            };
            User: {
                Title: string;
                TitleCreate: string;
                TitleEdit: string;
                Name: string;
                Username: string;
                Birthday: string;
                Avatar: string;
                Email: string;
                Phone: string;
                Password: string;
                CurrentPassword: string;
                NewPassword: string;
                RePassword: string;
                ChangePassword: string;
                Status: {
                    Title: string;
                    Status_0: string;
                    Status_1: string;
                };
                Profile: {
                    Title: string;
                    Edit: string;
                };
                AccountProfile: string;
                STT: string;
                AddExistedUser: string;
                Roles: string;
            };
        };
    };
};

export { Heading, Text, i18n_resources, theme };
